<?php
// define whether we use GZIP compression
define('XTPL_GZIP', true);

// including XTPL
include_once('lib/xtpl.php');

// constucting template object
$page = new XTPL();
// start output buffering
$page->Start();

// Now we define a simple variable in the global scope.
// XTPL will easily find it here and put in its place on the page.
$tut_no = 1; // Tutorial number :)

// As you can see, you can easily use the variables in the global scope
// without any assignments. XTPL can also use array elements, properties etc.
$array_variable['element'] = 'Some text here';
// Or enumerated array if you wish
$enum_variable[0] = 'Some more text there.';

// XTPL template object also has private section like Smarty has.
// You can use Assign() method to put some variables there.
// XTPL first looks in its private section and only after that it searches
// in the global scope.

// Lets's create a variable
$public_variable = 'I am global';
// And now assigning into the private section
$page->Assign('public_variable', 'I am local');
// See the result ;)

// Parsing the template
$page->Parse('tutorial_1.tpl');

// Flushing the buffer and ending the buffering
$page->End();
?>