<?php
// define whether we use GZIP compression
define('XTPL_GZIP', true);

// including XTPL
include_once('lib/xtpl.php');

// constucting template object
$page = new XTPL();
// start output buffering
$page->Start();

$tut_no = 3; // Tutorial number :)

// XTPL provides {if}{else}{/if} sequence. The logical expressions must be
// valid PHP logical expression.

// Here we just define some vars for the example. See the template and
// result output.

$secret = 'This is my secret.';

$should_know = true;
$mature_enough = true;
$age = 17;

$i = 25;
$j = 10;

// Notice that nesting of {if}{else}{/if} sequences is allowed. So you can
// build logical trees in your templates. Any other XTPL sequences inside
// of {if} are also allowed!

// Parsing the template
$page->Parse('tutorial_3.tpl');

// Flushing the buffer and ending the buffering
$page->End();
?>